> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/sats-connect/bitcoin-methods/sendtransfer.md).

# sendTransfer

You can use the `sendTransfer` method to request a transfer of any amount of Bitcoin to one or more recipients from the user's wallet.

<table><thead><tr><th width="208">Request parameters</th><th>Description</th></tr></thead><tbody><tr><td><code>recipients</code></td><td><p>an array  of objects with &#x3C;<code>address</code>, <code>amount</code>> properties:</p><ul><li><code>address</code> a string representing the recipient's address</li><li><code>amount</code> a number representing the amount of Bitcoin to send, denominated in satoshis (Bitcoin base unit)</li></ul></td></tr></tbody></table>

<pre class="language-typescript"><code class="lang-typescript">import {
  request,
  BitcoinNetworkType,
  RpcErrorCode,
} from "sats-connect";
<strong>
</strong><strong>try {
</strong>  const response = await request("sendTransfer", {
    recipients: [
      {
        address: recipient,
        amount: Number(amount),
      },
    ],
  });
  if (response.status === "success") {
    // handle success
  } else {
    if (response.error.code === RpcErrorCode.USER_REJECTION) {
      // handle user cancellation error
    } else {
      // handle error
    }
  }
} catch (err) {
    alert(err.error.message);
}
</code></pre>

The user will be prompted to review the Bitcoin transfer transaction in the wallet, and to confirm:

* the recipients and amounts to send&#x20;
* their desired transaction fee &#x20;

The transaction will be signed and broadcasted upon user approval.

The `sendTransfer` method returns a Promise that resolves to the `sendTransferResult` object:

<table><thead><tr><th width="162">Property</th><th>Description</th></tr></thead><tbody><tr><td><code>txid</code></td><td>The transaction id as a hex-encoded string.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/sendtransfer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
